Edit method response description

Prev Next

Available in Classic and VPC

Edit the description for a response status code for a created method.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PATCH /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code}

Request headers

For For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required ID of product the API belongs to
api-id String Required ID of the API whose response description you want to edit
resource-id String Required ID of the target resource in the API
method-name String Required Target method type
  • ANY | GET | POST | PUT | DELETE | PATCH | OPTIONS | HEAD
status-code Integer Required Response status code

Request syntax

The request syntax is as follows:

{
  "responseDescription" : "responseDescription"
}

Request body

You can include the following data in the body of your request:

Field Type Required Description
responseDescription String Required Description of the response
  • 0-2000 characters

Request example

The request example is as follows:

curl --location --request PATCH 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/400' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "responseDescription" : "Wrong request. Check parameters."
}'

Response

This section describes the response format.

Response syntax

The response syntax is as follows:

{
  "methodResponseDto" : {
    "tenantId" : "tenantId",
    "apiId" : "apiId",
    "resourceId" : "resourceId",
    "methodCode" : "methodCode",
    "statusCode" : 0,
    "responseDescription" : "responseDescription",
    "modifier" : "modifier"
  }
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The response example is as follows:

{
    "methodResponseDto": {
        "tenantId": "********65ec41039ce6668c2058b8a9",
        "apiId": "cvcohvd2xj",
        "resourceId": "tf73xuex0v",
        "methodCode": "0001",
        "statusCode": 400,
        "responseDescription": "Wrong request. Check parameters.",
        "modifier": "********-7fcd-11ec-a6ba-246e9659184c"
    }
}